package com.ruoyi.system.utils.jsch;

import java.net.InetAddress;
import java.net.UnknownHostException;

public class DomainToIpChecker {
   public static boolean check(String domain, String expectedIP) {
      try {
         InetAddress address = InetAddress.getByName(domain);
         String resolvedIP = address.getHostAddress();
         return resolvedIP.equals(expectedIP);
      } catch (UnknownHostException var4) {
         return false;
      }
   }

   public static void main(String[] args) {
      String domain = "r8cc.com";
      String expectedIP = "23.224.9.186";
      boolean isResolved = check(domain, expectedIP);
      System.out.println("Is " + domain + " resolved to " + expectedIP + "? " + isResolved);
   }
}
